package main

import (
	"fmt"
	"os"
	testclient "testclient/internal"
)

func main() {
	if err := testclient.InitHttpClient(); err != nil {
		fmt.Fprintln(os.Stderr, "error initialising http client", err.Error())
		os.Exit(1)
	}
	if err := testclient.Initialise(); err != nil {
		fmt.Fprintln(os.Stderr, "Error setting up tester:", err.Error())
		os.Exit(1)
	}
	testclient.Register()
	testclient.WsConnect()

	if testclient.LoadMessages {
		testclient.LoadDefaultMessages()
	}

	fmt.Println("username:", testclient.Username)

	for {
		select {
		case <-testclient.Done:
			fmt.Println("websocket connection closed")
			return
		case l := <-testclient.Line:
			testclient.SendMessage(l)
		}
	}
}
